title: "[[this]] per source"
transient_title: Here''s a closer look at your [[this]] per source
description: Where most of your traffic is coming from.
applies_to: TransactionTable
metrics:
- TotalIncome:
    metric: [sum, [dimension, Income]]
- AvgIncome: [avg, [dimension, Income]]
- AvgQuantity:
    metric: [avg, [dimension, Quantity]]
- TotalOrders: [count]
- TotalUsers: [distinct, [dimension, User]]
dimensions:
- Timestamp:
    field_type: CreationTimestamp
    score: 100
- Timestamp:
    field_type: CreationDate
    score: 100
- Timestamp:
    field_type: DateTime
    score: 90
- Timestamp:
    field_type: Date
    score: 90
- SourceMedium:
    field_type: UserTable.Source
    max_cardinality: 10
- SourceLarge:
    field_type: UserTable.Source
- Income: Income
- Quantity:
    field_type: Quantity
- User:
    field_type: User
    score: 100
- User:
    field_type: FK
    links_to: UserTable
    score: 100
- Cohort:
    field_type: UserTable.JoinTimestamp
    score: 100
- Cohort:
    field_type: UserTable.CreationTimestamp
    score: 90
- Cohort:
    field_type: UserTable.DateTime
    score: 80
- Product:
    field_type: Product
    score: 90
    max_cardinality: 10
- Product:
    field_type: ProductTable.Name
    max_cardinality: 10
- Product:
    field_type: ProductTable.Title
    max_cardinality: 10
- ProductCategory:
    field_type: ProductTable.Category
    named: category
    max_cardinality: 10
    score: 90
- Country: GenericTable.Country
- State: GenericTable.State
filters:
  - Last30Days:
      filter: ["time-interval", [dimension, Timestamp], -30, day]
  - NewUsers:
      filter: ["time-interval", [dimension, Cohort], -30, day]
groups:
- Overview:
    title: Transactions per source over time
- Financial:
    title: Orders and income per source
- UserAcquisition:
    title: Where users are coming from
dashboard_filters:
- SourceMedium
- SourceLarge
- Timestamp
- Country
- State
- Product
- ProductCategory
cards:
- OrdersBySourceTimeseries:
    group: Overview
    title: Transactions per source
    visualization:
      area:
        stackable.stack_type: stacked
    dimensions:
      - Timestamp
      - SourceMedium
    metrics: TotalOrders
    width: 18
    score: 100
    height: 8
- OrderBySource:
    group: Financial
    title: Total orders per source
    visualization: smart-row
    dimensions: SourceLarge
    metrics: TotalOrders
    score: 80
    height: 8
- IncomeBySource:
    group: Financial
    title: Total income per source
    visualization: smart-row
    dimensions: SourceMedium
    metrics: TotalIncome
    score: 80
    height: 8
- AvgQuantityBySource:
    group: Financial
    title: Average quantity per source
    visualization: smart-row
    dimensions: SourceMedium
    metrics: AvgQuantity
    score: 80
    height: 8
- AvgIncomeBySource:
   group: Financial
   title: Average income per source
   visualization: smart-row
   dimensions: SourceMedium
   metrics: AvgIncome
   score: 80
   height: 8
- UsersBySource:
    group: UserAcquisition
    visualization: smart-row
    title: Number of users per source
    dimensions: SourceMedium
    metrics: TotalUsers
    score: 90
    height: 8
- NewUsersBySource:
    group: UserAcquisition
    visualization: smart-row
    title: New users per source in the last 30 days
    dimensions: SourceMedium
    metrics: TotalUsers
    filters: NewUsers
    score: 90
    height: 8
- IncomeBySource:
    group: Financial
    title: Total income per source
    visualization: table
    dimensions: SourceLarge
    metrics: TotalIncome
    order_by:
      - TotalIncome: descending
    score: 80
    height: 8
- AvgQuantityBySource:
    group: Financial
    title: Average quantity per source
    visualization: table
    dimensions: SourceLarge
    metrics: AvgQuantity
    order_by:
      - AvgQuantity: descending
    score: 80
    height: 8
- AvgIncomeBySource:
   group: Financial
   title: Average income per source
   visualization: table
   dimensions: SourceLarge
   metrics: AvgIncome
   order_by:
     - AvgIncome: descending
   score: 80
   height: 8
- UsersBySource:
    group: UserAcquisition
    visualization: table
    title: Users per source
    dimensions: SourceLarge
    metrics: TotalUsers
    order_by:
      - TotalUsers: descending
    score: 90
    height: 8
- NewUsersBySource:
    group: UserAcquisition
    visualization: table
    title: New users per source in the last 30
    dimensions: SourceLarge
    metrics: TotalUsers
    filters: NewUsers
    score: 90
    height: 8
    order_by:
      - TotalUsers: descending
